      program percolate ! Bernd Berg Jun 10 2008.
      parameter(n=100)
      open(10,file="percolate0.d",form='formatted',status='unknown')
      open(11,file="percolate1.d",form='formatted',status='unknown')
      CutL=n/acos(-1.0)
      do i=-n,n
        x=i*1.0
        do j=-n,n
          y=j*1.0
          if(abs(x).lt.CutL) then
            write(10,'(2F10.2)') x,y
          else
            write(11,'(2F10.2)') x,y
          endif
        enddo
      enddo
      close(10)
      close(11)
      stop
      end
